package nc.pub.filesystem.newui;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.Action;

import nc.funcnode.ui.action.AbstractNCAction;
import nc.funcnode.ui.action.INCAction;
import nc.ui.ml.NCLangRes;

public class TestScanAttachAction extends AbstractNCAction {

	
	private TestFileContentPanel parentpanel ;
	public  TestScanAttachAction(TestFileContentPanel para){
		parentpanel=para;
		this.putValue(AbstractAction.NAME,NCLangRes.getInstance().getStrByID("sftemp", "ScanAttachAction-0000")/*列表查看*/);
		this.putValue(INCAction.CODE,"scan1");
		this.putValue(Action.SHORT_DESCRIPTION, NCLangRes.getInstance().getStrByID("sftemp", "ScanAttachAction-0000")/*列表查看*/);
	}
	/**
	 * 
	 */
	private static final long serialVersionUID = -7240717373795888241L;

	@Override
	public void actionPerformed(ActionEvent e) {
//		MessageDialog.showErrorDlg(null, "t", "t普通");
		TestFileBrowseCreatePane.createListBrowsePane(parentpanel);
		parentpanel.PAGE_STATE = parentpanel.BROWSELISTTABLE_STATE;
	}

	



}
